<?php
/**
 * webtrees: online genealogy
 * Copyright (C) 2015 webtrees development team
 * Copyright (C) 2015 JustCarmen
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
namespace Andre\WebtreesAddOn\Ressources\Schema;

use Fisharebest\Webtrees\Database;
use Fisharebest\Webtrees\I18N;
use Fisharebest\Webtrees\Schema\MigrationInterface;
use Fisharebest\Webtrees\Tree;
use Fisharebest\Webtrees\Log;


/**
 * Upgrade the database schema from version 0 to version 1.
 */
class Migration0 implements MigrationInterface {

	/** {@inheritDoc} */
	public function upgrade() {		
	//Initialiser table
		$res_settings = Database::prepare('
				CREATE TABLE IF NOT EXISTS `##ressources` (
  `res_id` int(11) NOT NULL AUTO_INCREMENT,
  `res_lk` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `res_note` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `res_statut` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `res_type` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `res_appreciation` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `res_email` text COLLATE utf8_unicode_ci,
  `res_gratuit` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  `res_pays` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `res_dept` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `res_xref` varchar(16) COLLATE utf8_unicode_ci DEFAULT NULL,
  `res_gid` int(16) DEFAULT NULL,
  `res_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`res_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

				')->execute();
		// fin creation table
	Log::addConfigurationLog('ressources create table');		
	}

}
