<?php
/**
 * webtrees: online genealogy
 * Copyright (C) 2015 webtrees development team
 * Copyright (C) 2015 JustCarmen
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
namespace Andre\WebtreesAddOn\Ressources\Schema;

use Fisharebest\Webtrees\Database;
use Fisharebest\Webtrees\I18N;
use Fisharebest\Webtrees\Schema\MigrationInterface;
use Fisharebest\Webtrees\Tree;
use Fisharebest\Webtrees\Log;



/**
 * Upgrade the database schema from version 1 to version 2.
 */
class Migration1 implements MigrationInterface {

	/** {@inheritDoc} */
	public function upgrade() {		
			Database::prepare(
			"ALTER TABLE ##ressources ADD res_owner INT(11) NOT NULL DEFAULT 1"
		)->execute();
		
	Log::addConfigurationLog('update table ##ressources for ressources');	
		
	}

}
