<?php
// webtrees: Web based Family History software
// Copyright (C) 2014 webtrees development team.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

/*
*     Class Ressources V-1-7-4-1
*      pour ressources V-1-7-4-1
*		pour Ressources V-1-7-6-1 for WT 1.7.6  4 JUL 2016
*     Andr DUMAS MAY 2016
*     pour Webtrees v.1.7.4
*     http://www.adumas.1s.fr/wt
*      http://www.adumas.1s.fr/download/
*/

namespace Andre\WebtreesAddOn\Ressources;

use Composer\Autoload\ClassLoader;
use Fisharebest\Webtrees\Functions\Functions;
use Fisharebest\Webtrees\Controller\PageController;
use Fisharebest\Webtrees\Filter;
use Fisharebest\Webtrees\I18N;
use Fisharebest\Webtrees\Auth;
use Fisharebest\Webtrees\Database;



/**
 * Class RessourcesClass
 */
 
class ressourcesClass extends ressourcesModule  {
	
	/**
	 * ressourcesClass Constructor
	 *
	 */
	

	protected function aff_avis($avis){
	if ($avis == 'TB') { return '****';}
	elseif ($avis == 'B') { return '***';}
	elseif ($avis == 'M') { return '**';}
	else  { return '*';}
	}
	
	// = = = = = = = = = = = = = = = =
	protected function aff_statut($statut){
	if ($statut == 'gratuit') { return 'green';}
	elseif ($statut == 'payant') { return 'red';}
	else { return 'lightred';}
	
}	
	// = = = = = = = = = = = = = = = =
	protected function add_ressources($pid){
		global $controller, $WT_TREE;
		$gid =$WT_TREE->getTreeId();
		
if (!(Auth::isAdmin())) { exit();}			
					
	if ((null != Filter::post('url')) && (null != Filter::post('res_name')) ) { 
		//inout event
		$pid = Filter::post('pid');
		$pays = Filter::post('list_pays'); //nom du chef pour ev
		$url = Filter::post('url');  //nom du chef pour ev
		$note = Filter::post('note');  //nom du chef pour ev
		$dept = Filter::post('dep'); //nom du chef pour ev
		$app = Filter::post('app');
		$gr = Filter::post('gr');
		$type = Filter::post('res_type'); 
		$email = Filter::post('mail');
		$statut = Filter::post('res_statut'); 
		$nom = Filter::post('res_name'); 
		
		$this->insert_res($url,  $note, $statut, $type, $app, $email, $gr, $pays, $dept, $pid, $gid, $nom);
	}
	
	$this->formulaire_add_res($pid);			
	}
	
	// = = = = = = = = = = = = = = = =
	private function formulaire_list_pays() {
		global $WT_TREE;
    $countries = $this->getPays($WT_TREE->getTreeId());
	echo '
		<select name="list_pays" id="list_pays" >
		    <option value="'."FRANCE ".'"
			selected>'."FRANCE".'</option>';
				foreach($countries as $row){
					echo '<option value="'.$row->p_place.'">'.strtoupper($row->p_place).'</option>';
				}
				echo '</select>
		<br>';
}	

// = = = = = = = = = = = = = = = =
   // Rcupre les diffrents pays  du gedcom
   private function getPays($gedcom_id) {
		$countriess=array();
		$rows=
			Database::prepare(
				"SELECT DISTINCT SQL_CACHE p_place ".
				" FROM      `##places` ".				
				" WHERE p_parent_id = '0' ".
				" AND p_file = ? ".				
				" ORDER BY p_place"
			);
			return $countries = $rows->execute(array($gedcom_id))->fetchAll();  
   }

	
	//================================
	protected function formulaire_add_res($xref) {
		global $controller, $WT_TREE;
		$controller = new PageController();
		
		$jsfile= WT_MODULES_DIR.$this->getName().'/js/'.$this->getName().'.js';
		
		$controller ->pageHeader(true)
					->setPageTitle('Nouvelle ressource')
					->addInlineJavascript('
						var modName = \''.$this->getName().'\';
					')
					->addExternalJavascript($jsfile);
		
echo '<div id="popupres" style="background-color:lightgrey">
<fieldset><legend>Sites</legend>
	<form method="POST" action = "module.php?mod=ressources&mod_action=add_ressources">';	
	echo Filter::getCsrf();
	echo	'<table>
			<caption style="caption-side:top; font-weight:bold;" ><fieldset><label>URL* </label><input type="url" name="url" id="url" value""></fieldset>
			</caption>
		
			<tr><td></td><td>'.$this->formulaire_list_pays().'</td></tr>
			<tr><td></td><td>'.$this->liste_depts().'</td></tr>
		
			<tr><td></td><td>'.$this->list_type_res().'</td></tr>
			<tr><td></td><td>'.$this->list_statut_res().'</td></tr>
			<tr><td></td><td>'.$this->list_app_res().'</td></tr>
			<tr><td>Email contact</td><td><input type="email" name="mail" id="mail" value""></td></tr>
			<tr><td>Nom de la ressource* </td><td><input type="text" name="res_name" id="res_name" value""></td></tr>
			<tr><td>Notes</td><td><textarea name="note" id="note" col="5" rows="4"></textarea></td></tr>
		
			<input type="hidden" name="pid" id="pid"  value="'.$xref.'">
			<tr><td><input name="save" id="save" type="submit" value="Envoyer"></td></tr>
		</table>
		
	</form>
</fieldset>
	</div>';
}

	//====================================
	
	private function list_type_res(){
	echo '<br>
	<fieldset>
		<select name="res_type" id="res_type" >
		    <option value="Choix du type"
			<selected>'."Choix du type de ressource".'</option>';				
				echo 	'
						<option value="Site_Geneanet"> Site Geneanet</option>
						<option value="Site_perso"> Site web personnel</option>
						<option value="Site web"> Site web</option>
						<option value="bdd"> Base de donnes en ligne</option>
						<option value="Geneabank"> Site Geneabank</option>
						<option value="Cousin"> Cousin</option>
						<option value=""> </option>
					
				</select>
				
				<p><input type ="radio" name="gr" id="gr" value="gratuit" checked="checked"><label>Gratuit  </label></p>
				<p><input type ="radio" name="gr" id="gr" value="membre"><label>Accessible aux membres, accés partiel  </label></p>
				<p><input type ="radio" name="gr" id="gr" value="payant"><label>Payant  </label></p>
			</fieldset>	
		<br>
		';
	}
	
	
	// = = = = = = = = = = = = = = = =
	private function list_statut_res(){
	echo '<br>
	
		 <label>Cette ressource est :</label>
		<select name="res_statut" id="res_statut" >
		    <option value="Choix du statut"
			 >'."Choix du statut".'</option>';				
				echo 	'<option value="Public" selected > Public</option>
						<option value="Priv"> Priv</option>
						<option value="Personnel"> Personnel</option>
						<option value=""> </option>
					
				</select>
				<br>
		';
	}
	
	// = = = = = = = = = = = = = = = =
	private function list_app_res(){
	echo '<br>
	    <fieldset><legend>Qualité de la ressource</legend>
		
    
    <input type="radio" name="app" id="app" value="TB" checked="checked"><label>Super interessant</label><br />
    <input type="radio" name="app" id="app" value="B"><label>Interessant</label><br />
    <input type="radio" name="app" id="app" value="M"><label>Des infos</label><br />
    <input type="radio" name="app" id="app" value="PI"><label>Pour info</label><br />
    </fieldset>
<br>
		
		';
}
	
	
	
	// = = = = = = = = = = = = = = = =
	//affiche dtails

	// = = = = = = = = = = = = = = = =
function formulaire_list_res() {
    //$cat = list_chef();
	echo '
		<select name="list_chef" id="list_chef" >
		    <option value="'."Choix du personnage historique".'"
			selected>'."Choix du personnage historique".'</option>';
				foreach($cat as $row){
					echo '<option value="'.$row->chef_id.'">'.$row->chef.':'.dateMYSQL_to_Fr($row->chef_pf).'::'.dateMYSQL_to_Fr($row->chef_dc).'</option>';
					}
			echo	'</select>
		';
}	


// = = = = = = = = = = = = = = = =
private function insert_res($url,  $note, $statut, $type, $app, $email, $gr, $pays, $dept, $xref, $gid, $res_name) {
// Insert great name of history (king or president) in db ##histoire

	try {
     Database::prepare('INSERT INTO ##ressources (res_lk, res_note, res_statut, res_type, res_appreciation, res_email, res_gratuit, res_pays, res_dept, res_xref, res_gid, res_name, res_owner) 
	 VALUE (
				?, 
				?, 
				?,
				?, 
				?,
				?, 
				?,
				?,
				?,
				?,
				?,
				?,
				?)')
	 ->execute(array(
			$url,
			$note,
			$statut,
			$type,
			$app,
			$email,
			$gr,
			trim($pays),
			$dept,
			$xref,
			$gid,
			$res_name,
			Auth::Id()
			));
			 }
			catch (PDOException $ex) {
		// already exists?
		echo 'exceeption caught'.$ex->getMessage().'\n';
			}

}

	// = = = = = = = = = = = = = = = =
	protected function getRessources($num_dept,$pays){
		global $WT_TREE;
		$gid = $WT_TREE->getTreeId();
		$pid = Filter::get('pid');
		
		$res=array();
		
		if ( ($num_dept == '') && ($pays == '')) {
				$rqt = "SELECT SQL_CACHE * ".
				" FROM      `##ressources` ".	
				" WHERE res_xref = ? ".
				" ORDER BY res_name";
			$rows= Database::prepare($rqt);
			return $res = $rows->execute(array($pid))->fetchAll();	
				
		} else {
		$rqt = "SELECT SQL_CACHE * ".
				" FROM      `##ressources` ".	
				" WHERE (res_dept = ? ".
				" OR res_dept = '00' )".
				" AND res_pays = ? ".
				" ORDER BY res_name";
			$rows= Database::prepare($rqt);
			return $res = $rows->execute(array($num_dept, $pays))->fetchAll();	
		}
	}
   
	protected function getRessources1($num_dept,$pays){
		global $WT_TREE;
		$gid = $WT_TREE->getTreeId();
		$pid = Filter::get('pid');
		
		$res=array();
		
		if ( ($num_dept == '') && ($pays == '')) {
				$rqt = "SELECT SQL_CACHE * ".
				" FROM      `##ressources` ".	
				" WHERE (res_xref = ? ".
				" AND res_gid = ? )".
				" ORDER BY res_name";
			$rows= Database::prepare($rqt);
			return $res = $rows->execute(array($pid,$gid))->fetchAll();	
				
		} else {
		$rqt = "SELECT SQL_CACHE * ".
				" FROM      `##ressources` ".	
				" WHERE (res_dept = ? ".
				" OR res_dept = '00' )".
				" AND res_pays = ? ".
				" AND res_gid = ? ".
				" ORDER BY res_name";
			$rows= Database::prepare($rqt);
			return $res = $rows->execute(array($num_dept,$pays, $gid))->fetchAll();	
		}
	}

   
	 /*
	 *	display ressource or not depends on the status
	 */
	protected function displayRes($ressource){
		switch ($ressource->res_statut) {
			case 'Public': 
			return true;
			break;
			case 'Priv': 
				if (Auth::check()) {
					return true;
				} else {
					return false;
				}
			break;
			case 'Personnel': 
				if (Auth::Id() == $ressource->res_owner) {
					return true;
				} else {
					return false;
				}
			break;
			default:
				return false;
			break;	
		}
		
	}	
   
   //=======================================================
   
   	private function liste_depts() {
	
	echo "<br>
		<select name='dep' id='dep'  style='width: 204px' onChange=''>
		<option value='00'>Tout département</option>
 
														<option value='01'>01 - Ain</option>
														<option value='02'>02 - Aisne</option> 
														<option value='03'>03 - Allier</option> 
														<option value='04'>04 - Alpes de Haute Provence</option> 
														<option value='05'>05 - Alpes (Hautes)</option>
														<option value='06'>06 - Alpes Maritimes</option>
														<option value='07'>07 - Ard&egrave;che</option>
														<option value='08'>08 - Ardennes</option>
														<option value='09'>09 - Ari&egrave;ge</option>
 
														<option value='10'>10 - Aube</option>
 
														<option value='11'>11 - Aude</option>
 
														<option value='12'>12 - Aveyron</option>
 
														<option value='13'>13 - Bouches du Rh&ocirc;ne</option>
 
														<option value='14'>14 - Calvados</option>
 
														<option value='15'>15 - Cantal</option>
 
														<option value='16'>16 - Charente</option>
 
														<option value='17'>17 - Charente Maritime</option>
 
														<option value='18'>18 - Cher</option>
 
														<option value='19'>19 - Corr&egrave;ze</option>
 
														<option value='20'>20 - Corse</option>
 
														<option value='21'>21 - C&ocirc;te d&acute;Or</option>
 
														<option value='22'>22 - C&ocirc;tes d&acute;Armor</option>
 
														<option value='23'>23 - Creuse</option>
 
														<option value='24'>24 - Dordogne</option>
 
														<option value='25'>25 - Doubs</option>
 
														<option value='26'>26 - Dr&ocirc;me</option>
 
														<option value='27'>27 - Eure</option>
 
														<option value='28'>28 - Eure et Loir</option>
 
														<option value='29'>29 - Finist&egrave;re</option>
 
														<option value='30'>30 - Gard</option>
 
														<option value='31'>31 - Garonne (Haute)</option>
 
														<option value='32'>32 - Gers</option>
 
														<option value='33'>33 - Gironde</option>
 
														<option value='34'>34 - H&eacute;rault</option>
 
														<option value='35'>35 - Ille et Vilaine</option>
 
														<option value='36'>36 - Indre</option>
 
														<option value='37'>37 - Indre et Loire</option>
 
														<option value='38'>38 - Is&egrave;re</option>
 
														<option value='39'>39 - Jura</option>
 
														<option value='40'>40 - Landes</option>
 
														<option value='41'>41 - Loir et Cher</option>
 
														<option value='42'>42 - Loire</option>
 
														<option value='43'>43 - Loire (Haute)</option>
 
														<option value='44'>44 - Loire Atlantique</option>
 
														<option value='45'>45 - Loiret</option>
 
														<option value='46'>46 - Lot</option>
 
														<option value='47'>47 - Lot et Garonne</option>
 
														<option value='48'>48 - Loz&egrave;re</option>
 
														<option value='49'>49 - Maine et Loire</option>
 
														<option value='50'>50 - Manche</option>
 
														<option value='51'>51 - Marne</option>
 
														<option value='52'>52 - Marne (Haute)</option>
 
														<option value='53'>53 - Mayenne</option>
 
														<option value='54'>54 - Meurthe et Moselle</option>
 
														<option value='55'>55 - Meuse</option>
 
														<option value='56'>56 - Morbihan</option>
 
														<option value='57'>57 - Moselle</option>
 
														<option value='58'>58 - Ni&egrave;vre</option>
 
														<option value='59'>59 - Nord</option>
 
														<option value='60'>60 - Oise</option>
 
														<option value='61'>61 - Orne</option>
 
														<option value='62'>62 - Pas de Calais</option>
 
														<option value='63'>63 - Puy de D&ocirc;me</option>
 
														<option value='64'>64 - Pyr&eacute;n&eacute;es Atlantiques</option>
 
														<option value='65'>65 - Pyr&eacute;n&eacute;es (Hautes)</option>
 
														<option value='66'>66 - Pyr&eacute;n&eacute;es Orientales</option>
 
														<option value='67'>67 - Rhin (Bas)</option>
 
														<option value='68'>68 - Rhin (Haut)</option>
 
														<option value='69'>69 - Rh&ocirc;ne</option>
 
														<option value='70'>70 - Sa&ocirc;ne (Haute)</option>
 
														<option value='71'>71 - Sa&ocirc;ne et Loire</option>
 
														<option value='72'>72 - Sarthe</option>
 
														<option value='73'>73 - Savoie</option>
 
														<option value='74'>74 - Savoie (Haute)</option>
 
														<option value='75'>75 - Paris (Dept.)</option>
 
														<option value='76'>76 - Seine Maritime</option>
 
														<option value='77'>77 - Seine et Marne</option>
 
														<option value='78'>78 - Yvelines</option>
 
														<option value='79'>79 - S&egrave;vres (Deux)</option>
 
														<option value='80'>80 - Somme</option>
 
														<option value='81'>81 - Tarn</option>
 
														<option value='82'>82 - Tarn et Garonne</option>
 
														<option value='83'>83 - Var</option>
 
														<option value='84'>84 - Vaucluse</option>
 
														<option value='85'>85 - Vend&eacute;e</option>
 
														<option value='86'>86 - Vienne</option>
 
														<option value='87'>87 - Vienne (Haute)</option>
 
														<option value='88'>88 - Vosges</option>
 
														<option value='89'>89 - Yonne</option>
 
														<option value='90'>90 - Belfort (Territoire de)</option>
 
														<option value='91'>91 - Essonne</option>
 
														<option value='92'>92 - Hauts de Seine</option>
 
														<option value='93'>93 - Seine Saint Denis</option>
 
														<option value='94'>94 - Val de Marne</option>
 
														<option value='95'>95 - Val d&acute;Oise</option>
 
														<option value='98'>98 - Mayotte</option>
 
														<option value='9A'>9A - Guadeloupe</option>
 
														<option value='9B'>9B - Guyane</option>
 
														<option value='9C'>9C - Martinique</option>
 
														<option value='9D'>9D - R&eacute;union</option>
 
                                                 </select>
	<br><br><br>";
	}
	

		


}	
?>